wikiman(1)

NAME
wikiman - Offline search engine for manual pages, Arch Wiki, Gentoo Wiki and other documentation.

SYNOPSIS
wikiman [-q] [-a] [-p] [-k] [-c]
        [-l <comma separated languages>] [-s <comma separated sources>]
        [-f <fuzzy finder>] [-H <html viewer>] [-R] <keyword>...
wikiman -S
wikiman -W <shell>
wikiman -v
wikiman -h If no keywords are provided, show all pages.

DESCRIPTION

Wikiman is an offline search engine for manual pages, Arch Wiki, Gentoo Wiki and other documentation. Wikiman provides an easy interface for browsing documentation without the need to be exact and connected to the internet. This is achieved by utilizing full text search for wikis, partial name and description matching for man pages, and fuzzy filtering for search results.

OPTIONS

-l <comma separated languages>
search language(s)
default: en

-s <comma separated sources>
sources to use
default: (all available)

-f <fuzzy finder>
fuzzy finder to use
default: fzf

-q
enable quick search mode

-a
enable AND operator mode

-p
disable quick result preview

-k
keep open after viewing a result

-c
show source column

-H <html viewer>
viewer for HTML pages
default: w3m

-R
print raw output

-S
list available sources and exit

-W <shell>
print widget code for specified shell and exit

-v
print version and exit

-h
display help and exit

CONFIGURATION:
Default user configuration file location: ~/.config/wikiman/wikiman.conf (if XDG_CONFIG_HOME is not set). System-wide configuration location: /etc/wikiman.conf

  Sources
sources =

  Fuzzy finder
fuzzy_finder = fzf

  Quick search mode
quick_search = false

  AND operator mode
and_operator = false

  Raw output
raw_output = false

  Language(s)
man_lang = en wiki_lang = en

List all man languages besides English (en):
find '/usr/share/man' -maxdepth 1 -type d -not -name 'man*' -printf '%P '

List all Arch Wiki languages:
find '/usr/share/doc/arch-wiki/html' -maxdepth 1 -type d -printf '%P '

List all FreeBSD Documentation languages:
find '/usr/share/doc/freebsd-docs' -maxdepth 1 -type d -printf '%P '

  TUI preview
tui_preview = true

  TUI keep open
tui_keep_open = false

  TUI show source column
tui_source_column = false

  TUI viewer for HTML pages
tui_html = w3m

ADDITIONAL SOURCES:
Default user sources directory: ~/.config/wikiman/sources (if XDG_CONFIG_HOME is not set). System-wide sources directory: /usr/share/wikiman/sources

  Installing a source:
To install an additional source called <name>, download it using Wikiman's Makefile: sudo make install source-<name>